package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.StationManagerBean;

public interface StationManagerDal {

	/**
	 * 插入车站信息
	 * 
	 * @param stations
	 */
	public void insertStation(List<StationManagerBean> stations);
	/**
	 * 插入火车的其实站点
	 * @param s
	 */
	public void insertTrainStartStation(StationManagerBean s);

	/**
	 * 根据车站ID查询车站信息
	 * @param id
	 * @return
	 */
	public StationManagerBean queryStationById(int id);
	
	/**
	 * 通过发送方式获取车站列表
	 * @param transmode 1:火车    2:汽车
	 * @return
	 */
	public List<StationManagerBean> searchStationByMode(int transmode);


	public StationManagerBean getStation(Cursor cursor);


}
